Package com.databricks.jdbc.log

## Class Slf4jLogger

- java.lang.Object
- - com.databricks.jdbc.log.Slf4jLogger

All Implemented Interfaces:
  `JdbcLogger`

    public class Slf4jLogger
    extends Object
    implements JdbcLogger

The `Slf4jLogger` class implements the `JdbcLogger` interface, providing an SLF4J-based logging solution.

### Field Summary

Fields
`protected org.slf4j.Logger` `logger`

### Constructor Summary

Constructors
`Slf4jLogger​(Class<?> clazz)` Constructs a new `Slf4jLogger` object with the specified class.
`Slf4jLogger​(String name)` Constructs a new `Slf4jLogger` object with the specified name.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `debug​(String message)`
`void` `debug​(String format, Object... arguments)`
`void` `error​(String message)`
`void` `error​(String format, Object... arguments)`
`void` `error​(Throwable throwable, String message)`
`void` `error​(Throwable throwable, String format, Object... arguments)`
`void` `info​(String message)`
`void` `info​(String format, Object... arguments)`
`void` `trace​(String message)`
`void` `trace​(String format, Object... arguments)`
`void` `warn​(String message)`
`void` `warn​(String format, Object... arguments)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### logger

    protected org.slf4j.Logger logger

### Constructor Detail

#### Slf4jLogger

    public Slf4jLogger​(Class<?> clazz)

Constructs a new `Slf4jLogger` object with the specified class.

#### Slf4jLogger

    public Slf4jLogger​(String name)

Constructs a new `Slf4jLogger` object with the specified name.

### Method Detail

#### trace

    public void trace​(String message)

Specified by:
  `trace` in interface `JdbcLogger`

#### trace

    public void trace​(String format,
                      Object... arguments)

Specified by:
  `trace` in interface `JdbcLogger`

#### debug

    public void debug​(String message)

Specified by:
  `debug` in interface `JdbcLogger`

#### debug

    public void debug​(String format,
                      Object... arguments)

Specified by:
  `debug` in interface `JdbcLogger`

#### info

    public void info​(String message)

Specified by:
  `info` in interface `JdbcLogger`

#### info

    public void info​(String format,
                     Object... arguments)

Specified by:
  `info` in interface `JdbcLogger`

#### warn

    public void warn​(String message)

Specified by:
  `warn` in interface `JdbcLogger`

#### warn

    public void warn​(String format,
                     Object... arguments)

Specified by:
  `warn` in interface `JdbcLogger`

#### error

    public void error​(String message)

Specified by:
  `error` in interface `JdbcLogger`

#### error

    public void error​(String format,
                      Object... arguments)

Specified by:
  `error` in interface `JdbcLogger`

#### error

    public void error​(Throwable throwable,
                      String message)

Specified by:
  `error` in interface `JdbcLogger`

#### error

    public void error​(Throwable throwable,
                      String format,
                      Object... arguments)

Specified by:
  `error` in interface `JdbcLogger`